org.eclipse.rdf4j.query.parser.serql

## Class AbstractASTVisitor

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.serql.AbstractASTVisitor

- All Implemented Interfaces:
    SyntaxTreeBuilderVisitor
  Direct Known Subclasses:
    AnonymousVarGenerator, ASTVisitorBase

      public abstract class AbstractASTVisitor
      extends Object
      implements SyntaxTreeBuilderVisitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractASTVisitor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `visit(ASTAnd node, Object data)`
    `Object` | `visit(ASTArgList node, Object data)`
    `Object` | `visit(ASTBasicPathExpr node, Object data)`
    `Object` | `visit(ASTBasicPathExprTail node, Object data)`
    `Object` | `visit(ASTBNode node, Object data)`
    `Object` | `visit(ASTBooleanConstant node, Object data)`
    `Object` | `visit(ASTBound node, Object data)`
    `Object` | `visit(ASTCompareAll node, Object data)`
    `Object` | `visit(ASTCompareAny node, Object data)`
    `Object` | `visit(ASTCompare node, Object data)`
    `Object` | `visit(ASTCompOperator node, Object data)`
    `Object` | `visit(ASTConstruct node, Object data)`
    `Object` | `visit(ASTConstructQuery node, Object data)`
    `Object` | `visit(ASTDatatype node, Object data)`
    `Object` | `visit(ASTEdge node, Object data)`
    `Object` | `visit(ASTExists node, Object data)`
    `Object` | `visit(ASTFrom node, Object data)`
    `Object` | `visit(ASTFunctionCall node, Object data)`
    `Object` | `visit(ASTGraphIntersect node, Object data)`
    `Object` | `visit(ASTGraphMinus node, Object data)`
    `Object` | `visit(ASTGraphUnion node, Object data)`
    `Object` | `visit(ASTInList node, Object data)`
    `Object` | `visit(ASTIn node, Object data)`
    `Object` | `visit(ASTIsBNode node, Object data)`
    `Object` | `visit(ASTIsLiteral node, Object data)`
    `Object` | `visit(ASTIsResource node, Object data)`
    `Object` | `visit(ASTIsURI node, Object data)`
    `Object` | `visit(ASTLabel node, Object data)`
    `Object` | `visit(ASTLangMatches node, Object data)`
    `Object` | `visit(ASTLang node, Object data)`
    `Object` | `visit(ASTLike node, Object data)`
    `Object` | `visit(ASTLimit node, Object data)`
    `Object` | `visit(ASTLiteral node, Object data)`
    `Object` | `visit(ASTLocalName node, Object data)`
    `Object` | `visit(ASTNamespaceDecl node, Object data)`
    `Object` | `visit(ASTNamespace node, Object data)`
    `Object` | `visit(ASTNodeElem node, Object data)`
    `Object` | `visit(ASTNode node, Object data)`
    `Object` | `visit(ASTNot node, Object data)`
    `Object` | `visit(ASTNull node, Object data)`
    `Object` | `visit(ASTOffset node, Object data)`
    `Object` | `visit(ASTOptPathExpr node, Object data)`
    `Object` | `visit(ASTOptPathExprTail node, Object data)`
    `Object` | `visit(ASTOrderBy node, Object data)`
    `Object` | `visit(ASTOrderExpr node, Object data)`
    `Object` | `visit(ASTOr node, Object data)`
    `Object` | `visit(ASTPathExprList node, Object data)`
    `Object` | `visit(ASTPathExprUnion node, Object data)`
    `Object` | `visit(ASTProjectionElem node, Object data)`
    `Object` | `visit(ASTQName node, Object data)`
    `Object` | `visit(ASTQueryBody node, Object data)`
    `Object` | `visit(ASTQueryContainer node, Object data)`
    `Object` | `visit(ASTRegex node, Object data)`
    `Object` | `visit(ASTReifiedStat node, Object data)`
    `Object` | `visit(ASTSameTerm node, Object data)`
    `Object` | `visit(ASTSelect node, Object data)`
    `Object` | `visit(ASTSelectQuery node, Object data)`
    `Object` | `visit(ASTString node, Object data)`
    `Object` | `visit(ASTStr node, Object data)`
    `Object` | `visit(ASTTupleIntersect node, Object data)`
    `Object` | `visit(ASTTupleMinus node, Object data)`
    `Object` | `visit(ASTTupleUnion node, Object data)`
    `Object` | `visit(ASTURI node, Object data)`
    `Object` | `visit(ASTVar node, Object data)`
    `Object` | `visit(ASTWhere node, Object data)`
    `Object` | `visit(SimpleNode node, Object data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractASTVisitor

          public AbstractASTVisitor()

  - ### Method Detail

    - #### visit

          public Object visit(SimpleNode node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTQueryContainer node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNamespaceDecl node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTTupleUnion node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTTupleMinus node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTTupleIntersect node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGraphUnion node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGraphMinus node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTGraphIntersect node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSelectQuery node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSelect node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTProjectionElem node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTConstructQuery node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTConstruct node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTQueryBody node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTFrom node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTWhere node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOrderBy node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOrderExpr node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLimit node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOffset node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPathExprList node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTPathExprUnion node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBasicPathExpr node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOptPathExpr node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBasicPathExprTail node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOptPathExprTail node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTEdge node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNodeElem node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNode node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTReifiedStat node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTOr node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTAnd node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBooleanConstant node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNot node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBound node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIsResource node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIsLiteral node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIsURI node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIsBNode node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLangMatches node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTExists node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTSameTerm node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCompare node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCompareAny node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCompareAll node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLike node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTRegex node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTIn node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTInList node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTCompOperator node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTVar node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTDatatype node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLang node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLabel node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNamespace node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLocalName node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTStr node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTFunctionCall node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTArgList node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTURI node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTQName node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTBNode node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTLiteral node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTString node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTNull node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Throws:
        `VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.